@ECHO OFF
CLS

ECHO.
ECHO ************************************
ECHO THIS BATCH SWAPS FILES TO GET BLOODY
ECHO ************************************

CD DATA

IF NOT EXIST OPTIONS.TXT GOTO ERR1

IF "%1"=="0" GOTO SETNORMAL
IF "%1"=="1" GOTO SETBORING
IF EXIST BORING.FLG GOTO SETNORMAL

:SETBORING
ECHO.
ECHO * SWAP BORING MODE TO MAIN *
ECHO ----------------------------
IF EXIST BORING.FLG GOTO DONE
ECHO BORING MODE SET AS MAIN > BORING.FLG
GOTO GO

:SETNORMAL
ECHO.
ECHO * REVERT CHANGES *
ECHO ------------------
IF NOT EXIST BORING.FLG GOTO DONE
DEL BORING.FLG /Q

:GO
ECHO.
ECHO PATCH BLOOD MATERIALS AND PIXELMAPS
ECHO -----------------------------------
ECHO.
ECHO * ANSWER NO TO BACKUP! *
ECHO.
PAUSE

..\PATCH.EXE ..\ROB2GIB.HEX

REM REMOVE BACKUP IF FOUND
IF EXIST MATERIAL\ROBSMEAR.BAK DEL MATERIAL\ROBSMEAR.BAK
IF EXIST PIXELMAP\ROBSMEAR.BAK DEL PIXELMAP\ROBSMEAR.BAK
IF EXIST REG\MATERIAL\GIBSMEAR.BAK DEL REG\MATERIAL\GIBSMEAR.BAK
IF EXIST REG\PIXELMAP\GIBSMEAR.BAK DEL REG\PIXELMAP\GIBSMEAR.BAK

ECHO.
ECHO BLOOD
ECHO -----
CALL ..\XCHANGE.BAT MATERIAL\ROBSMEAR.MAT REG\MATERIAL\GIBSMEAR.MAT
CALL ..\XCHANGE.BAT PIXELMAP\ROBSMEAR.PIX REG\PIXELMAP\GIBSMEAR.PIX

REM THIS IS NOT IN USE - SKIPPED
REM COPY REG\MATERIAL\GIBSMEAR.MAT MATERIAL\GIBSMEAR.MAT > NUL
REM COPY REG\PIXELMAP\GIBSMEAR.PIX PIXELMAP\GIBSMEAR.PIX > NUL

ECHO.
ECHO PEDESTRIANS
ECHO -----------
CALL ..\XCHANGE.BAT BORING.TXT PEDESTRN.TXT

CD SOUND
ECHO.
ECHO SOUND
ECHO -----
CALL ..\..\XCHANGE.BAT KSOUND.TXT SOUND.TXT
CD..

CD PIXELMAP
ECHO.
ECHO BODYPARTS
ECHO ---------
CALL ..\..\XCHANGE.BAT GBIGGIBS.PIX BIGGIBS.PIX
CALL ..\..\XCHANGE.BAT GBIGGIB2.PIX BIGGIBS2.PIX
CALL ..\..\XCHANGE.BAT GBIGGIB3.PIX BIGGIBS3.PIX
CALL ..\..\XCHANGE.BAT GBONE.PIX BONE.PIX
CALL ..\..\XCHANGE.BAT GCHUNK01.PIX CHUNK01.PIX
CALL ..\..\XCHANGE.BAT GCHUNK02.PIX CHUNK02.PIX
CALL ..\..\XCHANGE.BAT GCHUNK03.PIX CHUNK03.PIX
CALL ..\..\XCHANGE.BAT GCHUNK04.PIX CHUNK04.PIX
CALL ..\..\XCHANGE.BAT GCOLON.PIX COLON.PIX
CALL ..\..\XCHANGE.BAT GELBOW.PIX ELBOW.PIX
CALL ..\..\XCHANGE.BAT GEYEBALL.PIX EYEBALL.PIX
CALL ..\..\XCHANGE.BAT GHAND.PIX HAND.PIX
CALL ..\..\XCHANGE.BAT GHEAD.PIX HEAD.PIX
CALL ..\..\XCHANGE.BAT GPELVIS.PIX PELVIS.PIX
CALL ..\..\XCHANGE.BAT GRIBS.PIX RIBS.PIX
CALL ..\..\XCHANGE.BAT GSPLAT1.PIX SPLAT1.PIX
CALL ..\..\XCHANGE.BAT GSPLAT2.PIX SPLAT2.PIX
CALL ..\..\XCHANGE.BAT GSPLATOT.PIX SPLATOUT.PIX

ECHO.
ECHO LOADING SCREEN - FOR OLDER EXE
ECHO ------------------------------
REM COWLESS.PIX IS USUALLY NOT PRESENT
IF NOT EXIST COWLESS.PIX COPY LOADSCRN.PIX COWLESS.PIX > NUL
IF NOT EXIST LOADSCRN.PIX COPY COWLESS.PIX LOADSCRN.PIX > NUL
CALL ..\..\XCHANGE.BAT COWLESS.PIX LOADSCRN.PIX

ECHO.
ECHO MENU HAND
ECHO ---------
CALL ..\..\XCHANGE.BAT GHANDX.PIX HANDX.PIX
CALL ..\..\XCHANGE.BAT GHANDPX.PIX HANDPX.PIX

ECHO.
ECHO MENU HAND - UNUSED COPY
ECHO -----------------------
CALL ..\..\XCHANGE.BAT GHAND0.PIX HAND0.PIX
CALL ..\..\XCHANGE.BAT GHAND1.PIX HAND1.PIX
CALL ..\..\XCHANGE.BAT GHAND2.PIX HAND2.PIX
CALL ..\..\XCHANGE.BAT GHAND3.PIX HAND3.PIX
CALL ..\..\XCHANGE.BAT GHANDP0.PIX HANDP0.PIX
CALL ..\..\XCHANGE.BAT GHANDP1.PIX HANDP1.PIX
CALL ..\..\XCHANGE.BAT GHANDP2.PIX HANDP2.PIX
CALL ..\..\XCHANGE.BAT GHANDP3.PIX HANDP3.PIX

ECHO.
ECHO OTHER - UNUSED
ECHO --------------
CALL ..\..\XCHANGE.BAT GDRPLET.PIX DROPLET.PIX
CALL ..\..\XCHANGE.BAT GDRPLET2.PIX DROPLET2.PIX

REM THIS FILE IS REMOVED FROM SPLAT PACK
REM THERE IS NO NEED TO CREATE NEW IF NOT EXIST (UNUSED)
IF EXIST GSPLAT~1.PIX CALL ..\..\XCHANGE.BAT GSPLAT~1.PIX SPLATLET.PIX

REM GSPLAT~2.PIX DUPLICATE OF GSPLAT~1.PIX (ALREADY XCHANGED, NOT USED)
REM COPY GSPLAT~1.PIX GSPLAT~2.PIX > NUL

REM GCHUNKS1.PIX (SMALL) SIMILAR TO CHUNKS.PIX, ALWAYS CHUNKS.PIX IS LOADED!
REM GCHUNKS2.PIX (BIGGER) SIMILAR TO CHUNKS.PIX, ALWAYS CHUNKS.PIX IS LOADED!
REM GBIGGIB.PIX AND GGIB1.PIX DUPLICATES OF GBIGGIBS.PIX (ALREADY XCHANGED)
REM GGIB2.PIX DUPLICATE OF GBIGGIB2.PIX (ALREADY XCHANGED)
REM GGIB3.PIX DUPLICATE OF GBIGGIB3.PIX (ALREADY XCHANGED)

REM GLUMPS.PIX BLOODY BODY PARTS (NOT USED, NO EQUIVALENT FOUND)

CD..

:DONE
ECHO.
ECHO FINISHED...
ECHO -----------
ECHO THIS IS GONNA BE A BLOODY DAY! ...OR NICE AND FLUFFY!
IF EXIST BORING.FLG ECHO (BORING MODE SET AS MAIN)
IF NOT EXIST BORING.FLG ECHO (NORMAL)

ECHO.
ECHO TO REVERT CHANGES RUN THIS BATCH ONCE AGAIN, OR RUN WITH PARAMETER:
ECHO "ROB2GIB.BAT 0" - NORMAL; "ROB2GIB.BAT 1" - BORING AS MAIN
ECHO.
ECHO (C) IN$0MN!A 1997, d0mi 2011, QTZ 2013

GOTO EXIT

:ERR1
ECHO.
ECHO CARMAGEDDON NOT DETECTED:
ECHO COPY ALL FILES TO CARMAGEDDON DIRECTORY FIRST!

:EXIT
ECHO.
PAUSE
